import request from "@/util/request";

//MyFile
export function MyFile() {
  return request({
    url: "/file/myfile",
    method: "get",
  });
}
//ShareFile
export function ShareFile(params) {
  return request({
    url: "/f/sharefile",
    method: "get",
    params,
  });
}
export function updateFile(id) {
  return request({
    url: "/file/" + id,
    method: "put",
  });
}
export function unUpdateFile(id) {
  return request({
    url: "/file/un/" + id,
    method: "put",
  });
}
export function delFile(id) {
  return request({
    url: "/file/" + id,
    method: "delete",
  });
}
export function updateName(data) {
  return request({
    url: "/file/updatename",
    method: "post",
    data,
  });
}
export function listMusic() {
  return request({
    url: "/f/music",
    method: "get",
  });
}
